package cn.com.poc.agent_application.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for MemberDialoguesQuery
 */
@Entity
public class MemberDialoguesQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** agent_id
    *agent_id
    */ 
    private java.lang.String agentId;
    
    @Column(name = "agent_id")
    public java.lang.String getAgentId(){
        return this.agentId;
    }
    
    public void setAgentId(java.lang.String agentId){
        this.agentId = agentId;
    }
    
    /** dialogs_id
    *dialogs_id
    */ 
    private java.lang.String dialogsId;
    
    @Column(name = "dialogs_id")
    public java.lang.String getDialogsId(){
        return this.dialogsId;
    }
    
    public void setDialogsId(java.lang.String dialogsId){
        this.dialogsId = dialogsId;
    }
    
    /** member_id
    *member_id
    */ 
    private java.lang.Long memberId;
    
    @Column(name = "member_id")
    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
    
    /** content
    *content
    */ 
    private java.lang.String content;
    
    @Column(name = "content")
    public java.lang.String getContent(){
        return this.content;
    }
    
    public void setContent(java.lang.String content){
        this.content = content;
    }
    
    /** timestamp
    *timestamp
    */ 
    private java.lang.Long timestamp;
    
    @Column(name = "timestamp")
    public java.lang.Long getTimestamp(){
        return this.timestamp;
    }
    
    public void setTimestamp(java.lang.Long timestamp){
        this.timestamp = timestamp;
    }
    
} 